/*
 *  timeEvent.h
 *  midiRecorder
 *
 *  Created by Lucas Vickers on 9/25/10.
 *  Copyright 2010 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef _TIME_EVENT_H
#define _TIME_EVENT_H

// used for internal time keeping
class TimeEvent {
public:
	float time;
	float value;
	
	TimeEvent():
	time(0), value(0) 
	{
	}
	
	TimeEvent(float time, float value):
	time(time),
	value(value)
	{
	}
	
	~TimeEvent()
	{
	}
};

struct lcompare
{
	bool operator()(const TimeEvent& ev1, const TimeEvent& ev2) const
	{
		return ev1.time < ev2.time;
	};
};


#endif